Bug 70130 - closing one gnome-terminal causes all to exit
closing one gnome-terminal causes all to exit
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: vte (Show other bugs)
limbo
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-30 13:11 EDT by Kris Urquhart
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-02 17:15:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kris Urquhart 2002-07-30 13:11:54 EDT
Description of Problem:
closing one gnome-terminal causes all to exit

Version-Release number of selected component (if applicable):
vte-0.5.1-2
gnome-terminal-2.0.0.90-2

How Reproducible:
Very

Steps to Reproduce:
1. open 4 gnome terminals (bash shell)
2. type Ctrl-D in one of them
3. they all go away

Actual Results:
all gnome-terminals exit

Expected Results:
only the one gnome-terminal exits

Additional Information:
clicking on the "X" in the upper right hand corner of the window border only
closes the one gnome-terminal.
Comment 1 Havoc Pennington 2002-07-30 14:44:26 EDT
first thing to check is whether it exits cleanly or crashes.
Comment 2 Kris Urquhart 2002-07-30 22:12:11 EDT
From .xsession-errors:
The program 'gnome-terminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAccess (attempt to access private resource denied)'.
  (Details: serial 6821 error_code 10 request_code 88 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 3 Havoc Pennington 2002-08-02 17:05:20 EDT
This works OK for me. Can you reproduce with newer VTE packages?
Comment 4 Kris Urquhart 2002-08-02 17:15:37 EDT
I found this under limbo1, but work's fine in limbo2 (vte-0.5.4-2).
Comment 5 Havoc Pennington 2002-08-13 21:10:19 EDT
Should be fixed.

Note You need to log in before you can comment on or make changes to this bug.